# Fontlist [#fontlist]

The Fontlist endpoint provides an object that contains a list of fonts and their associated properties.

## HTTP Request [#http-request]

* `GET https://api.fontsource.org/fontlist`
* `GET https://api.fontsource.org/fontlist?{query}`

## Response [#response]

The API response for the Fontlist endpoint is a JSON object that represents the available fonts and their corresponding types.

### Attributes [#attributes]

Returns an object of:

| Attribute | Type                     | Description   |
| --------- | ------------------------ | ------------- |
| \[id]     | string                   | The font ID   |
| type      | google \| icons \| other | The font type |

### Response example [#response-example]

```json
{
  ...
  "abeezee": "google",
  "material-icons": "icons",
  "yakuhanjp": "other"
  ...
}
```

## Queries [#queries]

The Fontlist API supports the following queries without values:

| Query        | Returns ID Property | Property Type |
| ------------ | ------------------- | ------------- |
| family       | Family names        | string        |
| subsets      | Supported subsets   | string\[]     |
| weights      | Supported weights   | number\[]     |
| styles       | Supported styles    | string\[]     |
| variable     | If font is variable | boolean       |
| category     | Font category       | string        |
| lastModified | Last modified date  | string        |
| version      | Font version        | string        |
| type         | Font type           | string        |

### Example [#example]

* `GET https://api.fontsource.org/fontlist?family`
* `GET https://api.fontsource.org/fontlist?subsets`
* `GET https://api.fontsource.org/fontlist?lastModified`

> **Note:** You cannot query for multiple properties at once.
